unit kuchta;

interface
type
{powtrzona deklaracja typu}
  tBuforBajtow = array [1..256] of byte;
const KuchtaDLL='kuchta.dll';

function InitializePort( Port:byte; BaudRate:word;
                           WriteTimeout,ReadTimeout:word ):integer;stdcall;
function iInitializePort( Port:byte; BaudRate:integer;
                            WriteTimeout,ReadTimeout:integer ):integer;stdcall;
function UnInitializePort:integer;stdcall;
function WriteByte( wByte:byte ):integer;stdcall;
function ReadByte( var rByte:byte ):integer;stdcall;
function iRSSequence(ControlCode:byte;
                QuantityOfBytesToReceive:byte;
                QuantityOfBytesToSend:byte;
                var InputBuffer:tBuforBajtow;
                OutputBuffer:tBuforBajtow):integer;stdcall;
function RSSequence(ControlCode:byte;
                QuantityOfBytesToReceive:byte;
                QuantityOfBytesToSend:byte;
                var InputBuffer:tBuforBajtow;
                OutputBuffer:tBuforBajtow):byte;stdcall;

function ReadStatus(NrPortu : integer; var bajt : byte) : integer;stdcall;
function DisableSounds(NrPortu : integer) : integer;stdcall;
function PrintLine(NrPortu : byte; Generator : byte; Linia : string) : integer;stdcall;
function LineFeed(NrPortu:byte;Ile : byte) : integer;stdcall;
function PrintData(NrPortu : byte; Generator : byte; Linia : string) : integer;stdcall;
function PrintResume(NrPortu : byte) : integer;stdcall;
function DLLVersion : string;stdcall;
function Settings(NrPortu : integer; IleWysuwow : integer;
                  CzyDzwieki : boolean;
                  CzyPrzywolanie : boolean;
                  CzyTeksty : boolean) : integer;stdcall;

implementation
function InitializePort( Port:byte; BaudRate:word;
                           WriteTimeout,ReadTimeout:word ):integer;stdcall; external KuchtaDLL;
function iInitializePort( Port:byte; BaudRate:integer;
                            WriteTimeout,ReadTimeout:integer ):integer;stdcall;external KuchtaDLL;
function UnInitializePort:integer;stdcall;external KuchtaDLL;
function WriteByte( wByte:byte ):integer;stdcall;external KuchtaDLL;
function ReadByte( var rByte:byte ):integer;stdcall;external KuchtaDLL;
function iRSSequence(ControlCode:byte;
                QuantityOfBytesToReceive:byte;
                QuantityOfBytesToSend:byte;
                var InputBuffer:tBuforBajtow;
                OutputBuffer:tBuforBajtow):integer;stdcall; external KuchtaDLL;
function RSSequence(ControlCode:byte;
                QuantityOfBytesToReceive:byte;
                QuantityOfBytesToSend:byte;
                var InputBuffer:tBuforBajtow;
                OutputBuffer:tBuforBajtow):byte;stdcall;external KuchtaDLL;

function ReadStatus(NrPortu : integer; var bajt : byte) : integer;stdcall;external KuchtaDLL;
function DisableSounds(NrPortu : integer) : integer;stdcall;external KuchtaDLL
function PrintLine(NrPortu : byte; Generator : byte; Linia : string) : integer;stdcall;external KuchtaDLL;
function LineFeed(NrPortu:byte;Ile : byte) : integer;stdcall;external KuchtaDLL;
function PrintData(NrPortu : byte; Generator : byte; Linia : string) : integer;stdcall;external KuchtaDLL;
function PrintResume(NrPortu : byte) : integer;stdcall;external KuchtaDLL;
function DLLVersion : string;stdcall; external KuchtaDLL;
function Settings ;stdcall; external KuchtaDLL;
end.
